Subject: [Mops] Updated charter. Re: Barry Leiba's Block on charter-ietf-mops-00-00: (with BLOCK and COMMENT)

From: "Leslie Daigle" <[email-masked]>
Date: Tue, 08 Oct 2019 17:31:32 -0400

Okay, as I understand the IESG is having a meeting this week where this 
will be discussed, I’ve incorporated the updates to the problem 
paragraphs in the following text. And, there was an external comment 
about how MOPS would work with existing IETF liaison relationships, so 
I’ve added a paragraph to be clear we’re working with the ones that 
exist, or engaging informally.

Media OPerationS WG Charter

Internet- and Internet-protocol-delivered media is widespread, leading 
to
significant technology development across industries not traditionally 
thought
of as Internet technology developers or operators, as well as 
considerable
quantities of traffic on local and transit networks. The focus of MOPS 
is on
identifying areas where existing protocols and/or networks are 
challenged by
these updated requirements.

MOPS will solicit input on operational issues and practices; existing 
and
proposed technologies related to the deployment, engineering, and 
operation
of media streaming and manipulation protocols and procedures in the 
global
Internet; and inter-domain and within-domain networking. In the context 
of
this working group, media is considered to include the transport of 
video,
audio, objects and any combination thereof, possibly non-sequentially. 
The
scope is media and media protocols’ interactions with the network, but 
not
the technologies of control protocols or media formats.

MOPS provides a venue for both video industry and Internet engineering
experts to engage in discussion of video technology’s requirements of
networking standards, as well as proposals for new uses of IP technology
in video. Where new protocols are needed, MOPS will identify appropriate
venues for their development.

The goals of MOPS include documenting existing protocol and operational 
issues
with media on the Internet, and identifying requirements for potential 
IETF work.

To those ends, MOPS will:

1/ Solicit regular updates from other media technology developing
consortia/standards bodies working with IETF-developed protocols.

2/ Solicit input from network operators and users to identify 
operational
issues with media delivery in and across networks, and determine 
solutions or
workarounds to those issues.

3/ Solicit discussion and documentation of the issues and opportunities 
in
media acquisition and delivery, and of the resulting protocols and 
technologies
developed outside the IETF.

4/ Document operational requirements for media acquisition and delivery.

5/ Develop operational information to aid in operation of media 
technologies in
the global Internet.

These activities should document media operational experience, including 
global
Internet, inter-domain and within-domain operations.

In all cases of working with other organizations mentioned above, MOPS 
will
work with existing liaison managers where the IETF has them, and 
informal
connections with other organizations otherwise.  If new formal liaison
relationships are required, MOPS will work with the IAB to help 
establish them.

Media operational and deployment issues with specific protocols or 
technologies
(such as Applications, Transport Protocols, Routing Protocols, DNS or 
Sub-IP
Protocols) are the primary responsibility of the groups or areas 
responsible
for those protocols or technologies. However, the MOPS Working Group may
provide input to those areas/groups, as needed, and cooperate with those
areas/groups in reviewing solutions to MOPS operational and deployment 
problems.

There must be a continuing expression of interest for the Working Group 
to work
on a particular work item. If there is no longer sufficient interest in 
the
Working Group in a work item, the item may be removed from the list of 
Working
Group items.

Leslie.

On 7 Oct 2019, at 16:17, Leslie Daigle wrote:

> (Dropping the IESG mailing list for now; please advise or re-add if 
> appropriate)
>
> Thanks for the review and comments, Barry.  I’ve updated the draft 
> charter text based on the editorial comments you supplied, and 
> that’s copied below.   That text does not reflect changes to address 
> the blocking comments — I have some suggestions, which are next.
>
> [Barry wrote:]
>>     I do have two specific blocking comments, both of which should be 
>> easy to sort
>>     out:
>>
>>        The premise of MOPS is that continued development of 
>> Internet-using
>>        technologies should be properly coordinated in order to ensure 
>> that the
>>        existing technologies are well-utilized, and new ones are 
>> developed in
>>        sympathy with the Internet’s core protocols and design.
>>
>>     This sounds like a lot of fuzz without real substance.  Let’s 
>> try to tease out
>>     what its really saying and word it more accessibly.  At some 
>> level this seems
>>     to be saying that the premise of MOPS is that what the IETF does 
>> is good.  I’m
>>     sure there’s more meant here than that, but I don’t 
>> understand what.
>
> This para was meant to be a conclusion of “what we’ll do” for 
> the issues laid out in the preceding 2 paragraphs.  So, let’s look 
> at all three for context:
>
> [First three paragraphs of the draft charter:]
>> Internet- and Internet-protocol-delivered media is widespread, 
>> leading to
>> significant technology development across industries not 
>> traditionally thought
>> of as Internet technology developers or operators, as well as 
>> considerable
>> quantities of traffic on local and transit networks. The focus of 
>> MOPS is on
>> identifying areas where existing protocols and/or networks are 
>> challenged by
>> these updated requirements.
>>
>> MOPS will solicit input on operational issues and practices; existing 
>> and
>> proposed technologies related to the deployment, engineering, and 
>> operation
>> of media streaming and manipulation protocols and procedures in the 
>> global
>> Internet; and inter-domain and within-domain networking. In the 
>> context of this working group, media is considered to include the 
>> transport of video, audio, objects and any combination thereof, 
>> possibly non-sequentially. The scope is media and media protocols’ 
>> interactions with the network, but not the technologies of control 
>> protocols or media formats.
>>
>> PROBLEM PARA — TO BE REWRITTEN
>>   The premise of MOPS is that continued development of Internet-using
>>   technologies should be properly coordinated in order to ensure that 
>> the
>>   existing technologies are well-utilized, and new ones are developed 
>> in sympathy
>>   with the Internet’s core protocols and design. MOPS acts as a 
>> clearinghouse to
>>   identify appropriate venues for further protocol development, where 
>> necessary.
>>   BARRY SUGGESTS REPLACING LAST SENTENCE:  Where new protocols are 
>> needed, MOPS will identify appropriate venues for
>>    their development.
>
> Here’s a proposed rewrite of the paragraph:
>
> NEW:
> MOPS provides a venue for both video industry and Internet engineering 
> experts to engage in discussion of video technology’s requirements 
> of networking standards, as well as proposals for new uses of IP 
> technology in video. Where new protocols are needed, MOPS will 
> identify appropriate venues for their development.
>
> [Barry wrote:]
>>    Future work items within this scope will be adopted by the Working 
>> Group only
>>    if there is a substantial expression of interest from the 
>> community and if
>>    the work clearly does not fit elsewhere in the IETF.
>>
>> And only with a re-chartering, yes?  I don’t think we want the 
>> working group to
>> be able to pick up *any* related work it chooses, just because it 
>> doesn’t fit
>> elsewhere, right?
>
> Glenn & I conferred, and agreed that this one is tricky to get right 
> as it's easy to not fully include the words in the right Order and 
> emphasis.      " Future work items within this scope"  means that when 
> things anything that needs rechartering came along, it would 
> absolutely go through that exercise, with the intent that MOPS 
> wouldn't stray from its charter.
>
> We suggest striking the paragraph as it’s not needed.   The other 
> parts of the charter already layout what MOPS will work on, and 
> Clearly going outside of those lines would involve a recharter.
>
>
>
>
> Leslie.
>
>
> Full updated charter (modulo the blocking comment paragraphs needing 
> updating):
>
> Internet- and Internet-protocol-delivered media is widespread, leading 
> to
> significant technology development across industries not traditionally 
> thought
> of as Internet technology developers or operators, as well as 
> considerable
> quantities of traffic on local and transit networks. The focus of MOPS 
> is on
> identifying areas where existing protocols and/or networks are 
> challenged by
> these updated requirements.
>
> MOPS will solicit input on operational issues and practices; existing 
> and
> proposed technologies related to the deployment, engineering, and 
> operation
> of media streaming and manipulation protocols and procedures in the 
> global
> Internet; and inter-domain and within-domain networking. In the 
> context of
> this working group, media is considered to include the transport of 
> video,
> audio, objects and any combination thereof, possibly non-sequentially. 
> The
> scope is media and media protocols’ interactions with the network, 
> but not
> the technologies of control protocols or media formats.
>
> PROBLEM PARA — TO BE REWRITTEN
>   The premise of MOPS is that continued development of Internet-using
>   technologies should be properly coordinated in order to ensure that 
> the
>   existing technologies are well-utilized, and new ones are developed 
> in sympathy
>   with the Internet’s core protocols and design. MOPS acts as a 
> clearinghouse to
>   identify appropriate venues for further protocol development, where 
> necessary.
>   BARRY SUGGESTS REPLACING LAST SENTENCE:  Where new protocols are 
> needed, MOPS will identify appropriate venues for
>    their development.
>
> The goals of MOPS include documenting existing protocol and 
> operational issues
> with media on the Internet, and identifying requirements for potential 
> IETF work.
>
> To those ends, MOPS will:
>
> 1/ Solicit regular updates from other media technology developing
> consortia/standards bodies working with IETF-developed protocols.
>
> 2/ Solicit input from network operators and users to identify 
> operational
> issues with media delivery in and across networks, and determine 
> solutions or
> workarounds to those issues.
>
> 3/ Solicit discussion and documentation of the issues and 
> opportunities in
> media acquisition and delivery, and of the resulting protocols and 
> technologies
> developed outside the IETF.
>
> 4/ Document operational requirements for media acquisition and 
> delivery.
>
> 5/ Develop operational information to aid in operation of media 
> technologies in
> the global Internet.
>
> These activities should document media operational experience, 
> including global
> Internet, inter-domain and within-domain operations.
>
> Media operational and deployment issues with specific protocols or 
> technologies
> (such as Applications, Transport Protocols, Routing Protocols, DNS or 
> Sub-IP
> Protocols) are the primary responsibility of the groups or areas 
> responsible
> for those protocols or technologies. However, the MOPS Working Group 
> may
> provide input to those areas/groups, as needed, and cooperate with 
> those
> areas/groups in reviewing solutions to MOPS operational and deployment 
> problems.
>
> PROBLEM PARA TO BE REWORKED
> Future work items within this scope will be adopted by the Working 
> Group only
> if there is a substantial expression of interest from the community 
> and if the
> work clearly does not fit elsewhere in the IETF.
>
> There must be a continuing expression of interest for the Working 
> Group to work
> on a particular work item. If there is no longer sufficient interest 
> in the
> Working Group in a work item, the item may be removed from the list of 
> Working
> Group items.
>
> On 4 Oct 2019, at 8:33, Eric Vyncke (evyncke) wrote:
>
>> Barry
>>
>> Thank for your review and your valuable comments as always.
>>
>> You are right that it is not so easy to have a charter for a 
>> "standing working group" which is the first (?) attempt by the IETF 
>> community to have something resembling to a "special interest group".
>>
>> On your two specific BLOCKs, I will let the current chairs to rewrite 
>> your first concern and indeed adding new work items will require a 
>> re-charter in the current state of the IETF. So, let's be clear on it 
>> for now (and initiate some works on "special interest groups")
>>
>> Thank you also for your comments/nits: they will improve the text.
>>
>> Leslie and Glen, may I suggest to update accordingly the draft 
>> charter ? And if the MOPS list agrees with it, then upload it ? (if 
>> you do not have the permission, then simply send it to me)
>>
>> Regards,
>>
>> -éric
>>
>> On 03/10/2019, 22:19, "iesg on behalf of Barry Leiba via 
>> Datatracker" <[email-masked] on behalf of [email-masked]> 
>> wrote:
>>
>>     Barry Leiba has entered the following ballot position for
>>     charter-ietf-mops-00-00: Block
>>
>>     When responding, please keep the subject line intact and reply to 
>> all
>>     email addresses included in the To and CC lines. (Feel free to 
>> cut this
>>     introductory paragraph, however.)
>>
>>
>>
>>     The document, along with other ballot positions, can be found 
>> here:
>>     https://datatracker.ietf.org/doc/charter-ietf-mops/
>>
>>
>>
>>     ----------------------------------------------------------------------
>>     BLOCK:
>>     ----------------------------------------------------------------------
>>
>>     In general, I'm not terribly happy with how this charter lays out 
>> specific work
>>     items (or doesn't).  It's very vague, and then when I look to the 
>> milestones I
>>     get more of an understanding.  On the one hand, this is OK, 
>> because we want
>>     this to be flexible, as a standing working group.  On the other 
>> hand, I would
>>     feel better with being somewhat more specific.  And I realize 
>> that this isn't
>>     terribly actionable, so I'm asking that we think about this, and 
>> I won't hold
>>     this "block" beyond our doing some reasonable consideration.
>>
>>     I do have two specific blocking comments, both of which should be 
>> easy to sort
>>     out:
>>
>>        The premise of MOPS is that continued development of 
>> Internet-using
>>        technologies should be properly coordinated in order to ensure 
>> that the
>>        existing technologies are well-utilized, and new ones are 
>> developed in
>>        sympathy with the Internet’s core protocols and design.
>>
>>     This sounds like a lot of fuzz without real substance.  Let’s 
>> try to tease out
>>     what its really saying and word it more accessibly.  At some 
>> level this seems
>>     to be saying that the premise of MOPS is that what the IETF does 
>> is good.  I’m
>>     sure there’s more meant here than that, but I don’t 
>> understand what.
>>
>>        Future work items within this scope will be adopted by the 
>> Working Group only
>>        if there is a substantial expression of interest from the 
>> community and if
>>        the work clearly does not fit elsewhere in the IETF.
>>
>>     And only with a re-chartering, yes?  I don’t think we want the 
>> working group to
>>     be able to pick up *any* related work it chooses, just because it 
>> doesn’t fit
>>     elsewhere, right?
>>
>>
>>     ----------------------------------------------------------------------
>>     COMMENT:
>>     ----------------------------------------------------------------------
>>
>>     And then there are a number of editorial things:
>>
>>        MOPS’ focus is on
>>        identifying areas where existing protocols and/or networks are 
>> challenged
>>
>>     I suggest avoiding the issue of how to make a possessive of 
>> “MOPS” (I would use
>>     “MOPS’s”) by saying “The focus of MOPS is….”
>>
>>        MOPS will solicit input on operational issues and practices, 
>> existing and
>>        proposed technologies related to the deployment, engineering, 
>> and operation
>>        of media streaming and manipulation protocols and procedures 
>> in the global
>>        Internet, inter-domain and single domain networking.
>>
>>     Because the second list item has commas in it, you need the main 
>> list to use
>>     semicolons.  Otherwise it’s impossible to be sure one has 
>> parsed it accurately.
>>
>>     NEW
>>        MOPS will solicit input on operational issues and practices; 
>> existing and
>>        proposed technologies related to the deployment, engineering, 
>> and operation
>>        of media streaming and manipulation protocols and procedures 
>> in the global
>>        Internet; and inter-domain and single-domain networking.
>>     END
>>
>>        In this case, media is considered to include
>>
>>     “In this case” seems odd here.  I think you mean, “In the 
>> context of this
>>     charter,” or something like that.
>>
>>        MOPS acts as a clearinghouse to
>>        identify appropriate venues for further protocol development, 
>> where
>>        necessary.
>>
>>     I’d rather be more direct in how this is worded (adjust as 
>> needed):
>>
>>     NEW
>>        Where new protocols are needed, MOPS will identify appropriate 
>> venues for
>>        their development.
>>     END
>>
>>     Bullet 3 needs a period at the end.  And what “resulting 
>> innovations” are we
>>     talking about here?  It sounds like more fuzz, so can we be more 
>> specific?
>>
>>        including global Internet, inter-domain and within-domain 
>> operations.
>>
>>     Earlier, you used “single-domain”, and here you use 
>> “within-domain”; please be
>>     consistent.
>>
>>        There must be a continuous expression of interest for the 
>> Working Group to
>>        work on a particular work item.
>>
>>     I think you mean “continuing”.
>>
>>
>>
>>
>> -- 
>> Mops mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/mops
>
> -- 
>
> -------------------------------------------------------------------
> Leslie Daigle
> Principal, ThinkingCat Enterprises
> [email-masked]
> -------------------------------------------------------------------

> -- 
> Mops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mops

-- 

-------------------------------------------------------------------
Leslie Daigle
Principal, ThinkingCat Enterprises
[email-masked]
-------------------------------------------------------------------